import Fastify from 'fastify';
import cors from '@fastify/cors';
import { authRoutes } from './routes/auth.routes';
import { profileRoutes } from './routes/profile';
import { googleAuthRoutes } from './routes/auth/google';

const app = Fastify();

app.register(cors, {
  origin: 'http://localhost:3000',
  credentials: true,
});

app.register(authRoutes);
app.register(profileRoutes);
app.register(googleAuthRoutes, { prefix: '/api' });



app.listen({ port: 3001 }, (err, address) => {
  if (err) {
    console.error(err);
    process.exit(1);
  }
  console.log(`Server ready at ${address}`);
});
